Subject: Major Release: PC-Speaker and DAC driver 0.6
From: [email-masked] (Michael Beck)
Date: Fri, 11 Mar 1994 22:32:28 GMT
Newsgroups: comp.os.linux.announce

The Alternate Sound-driver for Linux 0.6 is released
====================================================

This new version introduce some new features and should really be 1.0.
Because it's not heavyly tested, it's still 0.6.

1.) PCSP is much faster now! Should be work on 386DX-25
2.) Automatical speed-detection measured the maximal possible speed
    for your machine and disable the driver, if your machine is too slow.
    So it NEVER should crashed. This feature is well tested an machines
    faster than 386DX-25 (because I haven't access to slower ones) and
    works in expected manner.

The new version is on ftp.informatik.hu-berlin.de, in the
/pub/os/linux/hu-sound directory.

A short description from the README follows:

Introduction
============

The PC-Speaker part of this device-driver based on auplay-0.2 by Rick Miller
and the /dev/audio implementation by Dirk Verworner. The /dev/pcmixer part
based on the mixer-implementation of the 'real' sounddriver distributed by
Hannu Savolainen. Special thanks to Mark J. Cox.

This version supports the following devices :

/dev/pcsp       - the raw data device
/dev/pcaudio    - the SUN-audio device
/dev/pcmixer    - the mixer-device

You can 'assign' a output-device to /dev/pcsp. That's why I call it
now the 'Alternate Sound-driver'. Supported output-devices:

Stereo-on-One   (designed by Mark J. Cox), this is autodetected during
                kernel-startup and selected by default
PC-Speaker      is selected if no Stereo-on-One was found
Mono DAC        on one lp-port
Stereo DAC      on two lp-ports

/dev/pcsp supports the /dev/dsp ioctl calls (set speed, stereo, samplesize,
getblocksize). You can vary the sample speed, the driver converts it
to its real samplerate and return the right value for the others,
so you can use the .MOD-player to play AMIGA .MOD files by using the
-o option (or install a symbolic link).
For instance if PC-Speaker is your output-device

  str32 -o /dev/pcsp popcorn.mod

will play the file thru PC-Speaker. Because the real speed is now taken
depending on your cpu-speed, you should set the samplespeed not higher than
this value (use the pcsel-utility in this package to get this speed).
DACs support real samplerate from 4000 Hz up to the measured maximal samplerate
(Someone has a Pentium ?). Please get the str-program from the sound-package
distributed by Hannu Savolainen, in the snd-driv-?.?.tar.z archive.
I enclose vplay, a utility to play .VOC, .WAV and raw data files thru /dev/dsp.
Read the Readme in pcsnd-kit directory for features.

If you have a Stereo-on-One or two DACs

  str32 -o /dev/pcsp -S popcorn.mod

will play the file in Stereo thru the printer-port!

Volume-Control is given thru /dev/pcmixer (which is compatible to /dev/mixer).
So use the mixer-utilities enclosed in snd-utils-???.

-- 
########################################################################
#                #  Humboldt Universitaet Berlin :                     #
#  Michael Beck  #             [email-masked]      #
#                #             [email-masked]            #
########################################################################